Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old Today, 02:51 PM   #6586
Durabys
Junior Member
Durabys began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Oct 2021
Device: Samsung Galaxy Tab S6 Lite w/Calibre Companion+ReadEra
Quote:
Originally Posted by JimmXinu View Post
I was just able to download that story with username and password set in personal.ini under [www.alternatehistory.com]...

EDIT: Please post a debug log if you are still having problems.
No success.
Debug mode .txt file:

Code:
Traceback (most recent call last):
  File "calibre\customize\ui.py", line 741, in initialize_plugins
  File "calibre\customize\ui.py", line 65, in load_plugin
  File "calibre\customize\zipplugin.py", line 293, in load
  File "importlib\__init__.py", line 127, in import_module
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "calibre\customize\zipplugin.py", line 192, in exec_module
  File "calibre_plugins.dummy1.__init__", line 9, in <module>
ModuleNotFoundError: No module named 'urlparse'
Traceback (most recent call last):
  File "calibre\customize\ui.py", line 741, in initialize_plugins
  File "calibre\customize\ui.py", line 65, in load_plugin
  File "calibre\customize\zipplugin.py", line 314, in load
calibre.customize.InvalidPlugin: The plugin at C:\Users\Tomik\AppData\Roaming\calibre\plugins\Recoll Full Text Search.zip cannot be used on windows
FFF: DEBUG: 2021-10-25 20:48:17,687: calibre_plugins.fanficfare_plugin.fff_plugin(221): Plugin FanFicFare macmenuhack file_path:C:\Users\Tomik\AppData\Roaming\calibre\plugins\fanficfare_macmenuhack.txt
calibre Debug log
calibre 5.29 [64bit]  embedded-python: True is64bit: True
Windows-10-10.0.19041 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.19041')
Python 3.8.5
Windows: ('10', '10.0.19041', '', 'Multiprocessor Free')
Interface language: None
Failed to initialize plugin: 'C:\\Users\\Tomik\\AppData\\Roaming\\calibre\\plugins\\Kindle hi-res covers.zip'
Failed to initialize plugin: 'C:\\Users\\Tomik\\AppData\\Roaming\\calibre\\plugins\\Recoll Full Text Search.zip'
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (1, 44, 0) && DeDRM (7, 0, 3) && Package KFX (from KFX Input) (1, 44, 0) && Clean Comments (0, 1, 0) && Clean Metadata (0, 0, 6) && Clipboard Search (1, 3, 1) && Consolidate All Library Metadata (2, 0, 40) && FanFicFare (4, 6, 0) && Find Duplicates (1, 8, 10) && Job Spy (1, 0, 190) && KFX metadata reader (from KFX Input) (1, 44, 0) && KFX Input (1, 44, 0) && Set KFX metadata (from KFX Output) (1, 56, 0) && KFX Output (1, 56, 0) && Prettify Cover (1, 5, 0) && Quality Check (1, 11, 4) && Reading List (1, 7, 6) && SmartEject (2, 3, 0) && Unplugged (1, 0, 0)
calibre 5.29 [64bit]  embedded-python: True is64bit: True
Windows-10-10.0.19041 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.19041')
Python 3.8.5
Windows: ('10', '10.0.19041', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (1, 44, 0) && DeDRM (7, 0, 3) && Package KFX (from KFX Input) (1, 44, 0) && Clean Comments (0, 1, 0) && Clean Metadata (0, 0, 6) && Clipboard Search (1, 3, 1) && Consolidate All Library Metadata (2, 0, 40) && FanFicFare (4, 6, 0) && Find Duplicates (1, 8, 10) && Job Spy (1, 0, 190) && KFX metadata reader (from KFX Input) (1, 44, 0) && KFX Input (1, 44, 0) && Set KFX metadata (from KFX Output) (1, 56, 0) && KFX Output (1, 56, 0) && Prettify Cover (1, 5, 0) && Quality Check (1, 11, 4) && Reading List (1, 7, 6) && SmartEject (2, 3, 0) && Unplugged (1, 0, 0)
Turning on automatic hidpi scaling
devicePixelRatio: 1.0
logicalDpi: 120.0 x 120.0
physicalDpi: 108.91792294807368 x 108.85714285714285
Using calibre Qt style: True
[0.00] Starting up...
[0.00] Showing splash screen...
[0.41] splash screen shown
[0.41] Initializing db...
[0.47] db initialized
[0.47] Constructing main UI...
DEBUG:    0.0 Clean Comments::config.py - loading translations
DEBUG:    0.0 CleanComment::action.py - loading translations
CALM: initialization_complete............
Job Spy has begun initialization...
Calibre, and hence Job Spy, was gracefully shut down last time?  True
Last time daemon started:  never
Last time daemon failed:  never
Total daemon starts inception_to_date:  0
Total daemon failures inception-to-date:  0
Job Spy has finished initialization...
[2.02] main UI initialized...
[2.02] Hiding splash screen
Starting QuickView
FFF: DEBUG: 2021-10-25 20:48:49,959: calibre_plugins.fanficfare_plugin.dialogs(504): self.extraoptions['anthology_url']:NOT FOUND
FFF: DEBUG: 2021-10-25 20:48:49,961: calibre_plugins.fanficfare_plugin.fff_plugin(1116): FanFicFare v4.6.0
FFF: DEBUG: 2021-10-25 20:48:49,982: configurable.py(1023): use_browser_cache:
FFF: DEBUG: 2021-10-25 20:48:49,983: configurable.py(1037): use_basic_cache:true
FFF: INFO: 2021-10-25 20:48:49,983: base_xenforoforum_adapter.py(451): url: https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:48:49,984: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:48:49,984: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:48:50,849: fetcher.py(469): response code:403
FFF: DEBUG: 2021-10-25 20:48:50,849: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:48:50,849: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:48:50,979: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:48:50,979: fetcher.py(156): random sleep(0.50-1.50):1.14
FFF: DEBUG: 2021-10-25 20:48:52,129: requestable.py(50): Encoding:utf8
FFF: DEBUG: 2021-10-25 20:48:52,129: base_xenforo2forum_adapter.py(75): Will now login to URL (https://www.alternatehistory.com/forum/login/login) as (Durabys)
FFF: DEBUG: 2021-10-25 20:48:52,129: fetcher.py(234): 
========== MISS (POST) BasicCache
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:48:52,129: fetcher.py(462): 
---------- REQ (POST) RequestsFetcher
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:48:52,479: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:48:52,480: fetcher.py(156): random sleep(0.50-1.50):0.61
FFF: DEBUG: 2021-10-25 20:48:53,096: requestable.py(50): Encoding:utf8
FFF: INFO: 2021-10-25 20:48:53,096: base_xenforo2forum_adapter.py(82): Failed to login to URL https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/ as Durabys
FFF: WARNING: 2021-10-25 20:48:53,096: calibre_plugins.fanficfare_plugin.fff_plugin(1204): Login Failed, Need Username/Password.
FFF: INFO: 2021-10-25 20:49:01,513: base_xenforoforum_adapter.py(451): url: https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:01,514: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:01,514: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:01,867: fetcher.py(469): response code:403
FFF: DEBUG: 2021-10-25 20:49:01,867: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:49:01,867: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:49:01,992: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:49:01,993: fetcher.py(156): random sleep(0.50-1.50):1.00
FFF: DEBUG: 2021-10-25 20:49:02,992: requestable.py(50): Encoding:utf8
FFF: DEBUG: 2021-10-25 20:49:02,992: base_xenforo2forum_adapter.py(75): Will now login to URL (https://www.alternatehistory.com/forum/login/login) as (Durabys)
FFF: DEBUG: 2021-10-25 20:49:02,992: fetcher.py(234): 
========== MISS (POST) BasicCache
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:49:02,992: fetcher.py(462): 
---------- REQ (POST) RequestsFetcher
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:49:03,343: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:49:03,343: fetcher.py(156): random sleep(0.50-1.50):0.99
FFF: DEBUG: 2021-10-25 20:49:04,343: requestable.py(50): Encoding:utf8
FFF: INFO: 2021-10-25 20:49:04,343: base_xenforo2forum_adapter.py(82): Failed to login to URL https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/ as Durabys
FFF: WARNING: 2021-10-25 20:49:04,343: calibre_plugins.fanficfare_plugin.fff_plugin(1204): Login Failed, Need Username/Password.
FFF: INFO: 2021-10-25 20:49:09,598: base_xenforoforum_adapter.py(451): url: https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:09,598: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:09,598: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/
FFF: DEBUG: 2021-10-25 20:49:09,946: fetcher.py(469): response code:403
FFF: DEBUG: 2021-10-25 20:49:09,946: fetcher.py(234): 
========== MISS (GET) BasicCache
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:49:09,946: fetcher.py(462): 
---------- REQ (GET) RequestsFetcher
https://www.alternatehistory.com/forum/login
FFF: DEBUG: 2021-10-25 20:49:10,075: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:49:10,075: fetcher.py(156): random sleep(0.50-1.50):0.65
FFF: DEBUG: 2021-10-25 20:49:10,727: requestable.py(50): Encoding:utf8
FFF: DEBUG: 2021-10-25 20:49:10,727: base_xenforo2forum_adapter.py(75): Will now login to URL (https://www.alternatehistory.com/forum/login/login) as (Durabys)
FFF: DEBUG: 2021-10-25 20:49:10,727: fetcher.py(234): 
========== MISS (POST) BasicCache
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:49:10,727: fetcher.py(462): 
---------- REQ (POST) RequestsFetcher
https://www.alternatehistory.com/forum/login/login
FFF: DEBUG: 2021-10-25 20:49:11,077: fetcher.py(469): response code:200
FFF: DEBUG: 2021-10-25 20:49:11,077: fetcher.py(156): random sleep(0.50-1.50):0.79
FFF: DEBUG: 2021-10-25 20:49:11,878: requestable.py(50): Encoding:utf8
FFF: INFO: 2021-10-25 20:49:11,878: base_xenforo2forum_adapter.py(82): Failed to login to URL https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/ as Durabys
FFF: ERROR: 2021-10-25 20:49:11,878: calibre_plugins.fanficfare_plugin.dialogs(721): Exception: {'title': 'Unknown', 'author_sort': ['Unknown'], 'author': ['Unknown'], 'comments': '', 'good': False, 'status': 'Error', 'showerror': True, 'calibre_id': None, 'begin': None, 'end': None, 'comment': 'Failed to Login for URL: (https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/) with username: (Durabys)', 'url': 'https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/', 'site': 'www.alternatehistory.com', 'series': '', 'added': False, 'pubdate': None, 'publisher': None, 'uniqueurl': 'https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/[None-None]', 'listorder': 0, 'collision': 'Update EPUB if New Chapters'}:Failed to Login for URL: (https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/) with username: (Durabys)
Traceback (most recent call last):
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 470, in request
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\requests\models.py", line 943, in raise_for_status
requests.exceptions.HTTPError: 403 Client Error: Forbidden for url: https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\adapters\base_xenforoforum_adapter.py", line 454, in extractChapterUrlsAndMetadata
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\requestable.py", line 106, in get_request_redirected
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 391, in get_request_redirected
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 240, in fetcher_do_request
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 136, in fetcher_do_request
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 364, in do_request
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\fetcher.py", line 491, in request
fanficfare.exceptions.HTTPErrorFFF: HTTP Error in FFF '403 Client Error: Forbidden for url: https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/'(403)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre_plugins.fanficfare_plugin.dialogs", line 708, in do_loop
  File "calibre_plugins.fanficfare_plugin.fff_plugin", line 1330, in prep_download_loop
  File "calibre_plugins.fanficfare_plugin.fff_plugin", line 1220, in get_story_metadata_only
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\adapters\base_adapter.py", line 308, in getStoryMetadataOnly
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\adapters\base_adapter.py", line 412, in doExtractChapterUrlsAndMetadata
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\adapters\base_xenforoforum_adapter.py", line 465, in extractChapterUrlsAndMetadata
  File "C:\Users\Tomik\AppData\Roaming\calibre\plugins\FanFicFare.zip\fanficfare\adapters\base_xenforo2forum_adapter.py", line 84, in performLogin
fanficfare.exceptions.FailedToLogin: Failed to Login for URL: (https://www.alternatehistory.com/forum/threads/victor-emmanuel-iii-a-second-chance-for-italy.516983/) with username: (Durabys)
[23.92] splash screen hidden
[23.92] Started up in 23.92 seconds with 1434 books
Durabys is offline   Reply With Quote
Old Today, 05:12 PM   #6587
JimmXinu
Plugin Developer
JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.JimmXinu ought to be getting tired of karma fortunes by now.
 
JimmXinu's Avatar
 
Posts: 5,027
Karma: 865282
Join Date: Dec 2011
Location: Midwest USA
Device: Kindle Voyage
I'm able to download https://www.alternatehistory.com/for...-italy.516983/ also.

I would suspect wrong user/pass, or perhaps you have two factor auth/Two-step verification turned on (which FFF can't do)?

FYI, as a new user, mobileread may require your posts to be moderated before they appear. You don't need to post repeatedly.

It's sub-optimal, but otherwise ad bots take over.
JimmXinu is online now   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[GUI Plugin] KindleUnpack - The Plugin DiapDealer Plugins 469 Today 12:10 PM
[GUI Plugin] Open With kiwidude Plugins 383 10-07-2021 09:05 AM
[GUI Plugin] Marvin XD Philantrop Plugins 126 01-29-2017 12:48 PM
[GUI Plugin] KiNotes -axel- Plugins 0 07-14-2013 06:39 PM
[GUI Plugin] Plugin Updater **Deprecated** kiwidude Plugins 159 06-19-2011 12:27 PM


All times are GMT -4. The time now is 05:14 PM.


MobileRead.com is a privately owned, operated and funded community.